Fresh install of ubuntu gnome 14.04, followed by dist-upgrade

one of the first things I tried to do was create virtual environment for python

python3 -m venv flask

gave me

The virtual environment was not created successfully because ensurepip is not
available.  On Debian/Ubuntu systems, you need to install the python3-venv
package using the following command.

    apt-get install python3-venv

You may need to use sudo with that command.  After installing the python3-venv
package, recreate your virtual environment.

which is odd because i thought venv was installed by default, but anyways

sudo apt-get install python3-venv

gives me

E: Unable to locate package python3-venv

am I missing something? is something wrong with my python installation? i've tried to google whether there's a repo or something i need but I can't find one.

Do :

sudo apt-get install python3.4-venv

and then you can easily do :

python3 -m venv flask

source

  • 4
    Does not work with Python 3.6 – David D. Apr 3 '17 at 9:00

Your Answer

 

By clicking "Post Your Answer", you acknowledge that you have read our updated terms of service, privacy policy and cookie policy, and that your continued use of the website is subject to these policies.

Not the answer you're looking for? Browse other questions tagged or ask your own question.